<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
long exportImportConfigurationId = (Long)request.getAttribute(ExportImportWebKeys.EXPORT_IMPORT_CONFIGURATION_ID);

ExportImportConfiguration exportImportConfiguration = ExportImportConfigurationLocalServiceUtil.getExportImportConfiguration(exportImportConfigurationId);
%>

<liferay-ui:panel-container
	extended="<%= true %>"
	id="exportImportConfigurationPanelContainer"
	persistState="<%= false %>"
>
	<liferay-ui:panel
		collapsible="<%= false %>"
		extended="<%= true %>"
		title="template-type"
	>
		<liferay-ui:message key="<%= ExportImportConfigurationConstants.getTypeLabel(exportImportConfiguration.getType()) %>" />
	</liferay-ui:panel>

	<liferay-ui:panel
		collapsible="<%= false %>"
		extended="<%= true %>"
		title="created-by"
	>
		<liferay-ui:message key="<%= exportImportConfiguration.getUserName() %>" />
	</liferay-ui:panel>

	<liferay-ui:panel
		collapsible="<%= false %>"
		extended="<%= true %>"
		title="description"
	>
		<liferay-ui:message key="<%= HtmlUtil.escape(exportImportConfiguration.getDescription()) %>" />
	</liferay-ui:panel>
</liferay-ui:panel-container>