<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/import/init.jsp" %>

<liferay-staging:process-list
	deleteMenu="<%= true %>"
	emptyResultsMessage="no-publish-processes-were-found"
	localTaskExecutorClassName="<%= BackgroundTaskExecutorNames.LAYOUT_IMPORT_BACKGROUND_TASK_EXECUTOR %>"
	mvcRenderCommandName="/export_import/view_import_layouts"
	relaunchMenu="<%= false %>"
	resultRowSplitter="<%= new ExportImportResultRowSplitter() %>"
	summaryMenu="<%= false %>"
/>